import Badge from "../../Badge";
import styles from "./index.less";
const NormalcyCard = ({ index, data }: { index: number; data: any }) => {
  return (
    <div className={styles.warp}>
      <img src={data?.image} alt="" className={styles.img} />
      <div className={styles.detailWarp}>
        <div className={styles.title}>{data?.title}</div>
        <div className={styles.time}>立案时间：{data?.time}</div>
        <div className={styles.address}>发生地点：{data?.address}</div>
        <div>执法单位：{data?.department}</div>
      </div>

      <div className={styles.endTimeWarp}>
        <div className={styles.imgWarp}>
          <img
            src={require("@/assets/images/administrativeLawEnforcement/itemIconBg.png")}
            alt=""
          />
        </div>
        <div>
          <div>结案时间</div>
          <div style={{ color: "rgb(57, 136, 250)", fontWeight: 700 }}>
            {data?.endTime}
          </div>
        </div>
      </div>

      <div className={styles.endTimeWarp}>
        <div className={styles.imgWarp}>
          <img
            src={require("@/assets/images/administrativeLawEnforcement/rmbIcon.png")}
            alt=""
          />
        </div>
        <div>
          <div>处罚金额</div>
          <div style={{ color: "rgb(57, 136, 250)", fontWeight: 700 }}>
            {data?.count}元
          </div>
        </div>
      </div>
      <Badge status={2} />
    </div>
  );
};

export default NormalcyCard;
