import Badge from "../../Badge";
import styles from "./index.less";
const NormalcyCard = ({ index, data }: { index: number; data: any }) => {
  return (
    <div className={styles.warp}>
      <img src={data?.image} alt="" className={styles.img} />
      <div className={styles.detailWarp}>
        <div className={styles.title}>{data?.title}</div>
        <div className={styles.time}>立案时间：{data?.time}</div>
        <div className={styles.address}>发生地点：{data?.address}</div>
        <div>执法单位：{data?.department}</div>
      </div>

      <div className={styles.endTimeWarp}>
        <div >
          <div className={styles.imgWarp}>
            <img
              src={require("@/assets/images/administrativeLawEnforcement/projectIcon.png")}
              alt=""
            />
          </div>
          <span style={{marginLeft:4,marginTop:5}}>事由</span>
        </div>

        <div className={styles.desc}>{data?.desc}</div>
      </div>

      <Badge status={2} />
    </div>
  );
};

export default NormalcyCard;
