import React, { useMemo } from "react";
import styles from "./index.less";

import TodayCQI from "./components/TodayCQI";
import FactorTop3 from "./components/FactorTop3";
import RegionalDistribution from "./components/RegionalDistribution";
import RealtimeIndex from "./components/RealtimeIndex";
/** @name 总览 */
const Overall: React.FC = () => {
  return (
    <div className={styles.container}>
      <TodayCQI></TodayCQI>
      <FactorTop3></FactorTop3>
      <RegionalDistribution></RegionalDistribution>
      <RealtimeIndex></RealtimeIndex>
    </div>
  );
};

export default Overall;
